package sklep.klient;

import java.io.IOException;
import java.io.InputStream;
import java.net.URL;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.nio.file.StandardCopyOption;

public class Klient1_URL {

	// Najprostszy sposób w Javie, aby pobrać jakieś dane z sieci, to użyć klasy URL
	public static void main(String[] args) {
		String adres = Ustawienia.URL_SERWERA + "products/1";
		
		try {
			System.out.println("Otwieram adres...");
			URL url = new URL(adres);
			try (InputStream input = url.openStream()) {
				System.out.println("Czytam dane...");
				Files.copy(input, Paths.get("produkt1.txt"), StandardCopyOption.REPLACE_EXISTING);
				System.out.println("Gotowe");
			};
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
